<div class="search-container">
  <mat-form-field class="example-form-field">
    <mat-label>Summoner</mat-label>
    <input
      matInput
      type="text"
      [(ngModel)]="summonerName"
      (keyup.enter)="getSummonerData()"
    />
  </mat-form-field>

  <button mat-button color="primary" (click)="getSummonerData()">
    Get Data
  </button>
</div>
